Summary:	Mp3info - Utility for MP3 information and tag modification
Name:		mp3info
Version:	0.8.5a
Release:	%mkrel 10
Group:		Sound/Utilities
License:	GPL
URL:		http://ibiblio.org/mp3info/
Source0:	ftp://ftp.ibiblio.org/pub/linux/apps/sound/mp3-utils/mp3info/%{name}-%{version}.tgz
Source1:	mp3info-16.png
Source2:	mp3info-32.png
Source3:	mp3info-48.png
Patch0:		mp3info-0.8.5a-format_not_a_string_literal_and_no_format_arguments.diff
BuildRequires:	gtk+2-devel ncurses-devel

%description
An MP3 technical info viewer and ID3 1.x tag editor.
MP3Info has an interactive mode (using curses) and a command line mode.
MP3Info can display ID3 tag information as well as various technical aspects
of an MP3 file including playing time, bit-rate, sampling frequency and other
attributes in a pre-defined or user-specifiable output format.
It also has a VERY configurable output.
mp3info is available with both ncurses and gtk UIs.

%prep
%setup -q -n %name-%version
%patch0 -p0

%build
%make CFLAGS="%{optflags} %{ldflags}"

%install

mkdir -p %{buildroot}/{%{_bindir},%{_mandir}/man1}
%makeinstall prefix=%{buildroot} mandir=%{buildroot}%{_mandir}/man1

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop <<EOF
[Desktop Entry]
Name=MP3 info
Comment=Utility for MP3 information and tag modification
Exec=gmp3info
Icon=sound_section
Terminal=false
Type=Application
Categories=Audio;AudioVideo;AudioVideoEditing;
EOF

%files
%doc README ChangeLog mp3info.lsm LICENSE
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.8.5a-10.mga3
+ Revision: 360333
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 malo <malo> 0.8.5a-9.mga3
+ Revision: 324597
- fix URL
- spec clean-up
- update RPM group

* Thu Sep 15 2011 fwang <fwang> 0.8.5a-8.mga2
+ Revision: 143709
- use ldflags

* Tue Apr 26 2011 wally <wally> 0.8.5a-7.mga2
+ Revision: 91769
- use _real_vendor macro in desktop file name
- fix exec line on desktop file
- drop buildroot definition

  + steletch <steletch>
    - Clean spec file
    - Clean spec file

* Thu Mar 17 2011 tv <tv> 0.8.5a-5.mga1
+ Revision: 73440
- clean up
- imported package mp3info

